<xsl:stylesheet 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
  version="2.0"
>
  <xsl:output method="xml" encoding="UTF-8" indent="yes"/>

  <!--
    change tags with css color def names into phrase with that name as a role
  -->
  <xsl:template match="aqua|black|blue|fuchsia|gray|green|lime|maroon|navy|
    olive|orange|purple|red|silver|teal|white|yellow"
  >
    <phrase>
      <xsl:attribute name='role'>
        <xsl:if test='@role'>
	  <xsl:value-of select='@role'/>
	  <xsl:text> </xsl:text>
	</xsl:if>
	<xsl:value-of select='name()'/>
      </xsl:attribute>
      <xsl:apply-templates select='@*[name()!="role"]'/>
      <xsl:apply-templates/>
    </phrase>
  </xsl:template>

</xsl:stylesheet>

